Index: src/main/java/net/sf/ehcache/hibernate/SingletonEhCacheProvider.java
===================================================================
--- src/main/java/net/sf/ehcache/hibernate/SingletonEhCacheProvider.java	(revision 1022)
+++ src/main/java/net/sf/ehcache/hibernate/SingletonEhCacheProvider.java	(working copy)
@@ -15,17 +15,18 @@
  */
 package net.sf.ehcache.hibernate;
 
+import java.net.URL;
+import java.util.Properties;
+
 import net.sf.ehcache.CacheManager;
 import net.sf.ehcache.util.ClassLoaderUtil;
+
 import org.hibernate.cache.Cache;
 import org.hibernate.cache.CacheException;
 import org.hibernate.cache.CacheProvider;
 import org.hibernate.cache.Timestamper;
-
-import java.net.URL;
-import java.util.Properties;
-import java.util.logging.Level;
-import java.util.logging.Logger;
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
 
 /**
  * Singleton cache Provider plugin for Hibernate 3.2 and ehcache-1.2. New in this provider is support for
@@ -59,7 +60,7 @@
      */
     public static final String NET_SF_EHCACHE_CONFIGURATION_RESOURCE_NAME = "net.sf.ehcache.configurationResourceName";
 
-    private static final Logger LOG = Logger.getLogger(SingletonEhCacheProvider.class.getName());
+    private static final Logger LOG = LoggerFactory.getLogger(SingletonEhCacheProvider.class);
 
     /**
      * To be backwardly compatible with a lot of Hibernate code out there, allow multiple starts and stops on the
@@ -88,11 +89,11 @@
         try {
             net.sf.ehcache.Ehcache cache = manager.getEhcache(name);
             if (cache == null) {
-                SingletonEhCacheProvider.LOG.log(Level.WARNING, "Could not find a specific ehcache configuration for cache named ["
-                        + name + "]; using defaults.");
+                SingletonEhCacheProvider.LOG.warn("Could not find a specific ehcache configuration for cache named" +
+                        " [{}]; using defaults.", name);
                 manager.addCache(name);
                 cache = manager.getEhcache(name);
-                SingletonEhCacheProvider.LOG.log(Level.FINE, "started EHCache region: " + name);
+                SingletonEhCacheProvider.LOG.debug("started EHCache region: {}", name);
             }
             return new EhCache(cache);
         } catch (net.sf.ehcache.CacheException e) {
@@ -125,10 +126,8 @@
         } else {
             if (!configurationResourceName.startsWith("/")) {
                 configurationResourceName = "/" + configurationResourceName;
-                if (LOG.isLoggable(Level.FINE)) {
-                    LOG.log(Level.FINE, "prepending / to " + configurationResourceName + ". It should be placed in the root"
-                            + "of the classpath rather than in a package.");
-                }
+                LOG.debug("prepending / to {}. It should be placed in the root"
+                        + "of the classpath rather than in a package.", configurationResourceName);
             }
             URL url = loadResource(configurationResourceName);
             manager = CacheManager.create(url);
@@ -145,16 +144,12 @@
         if (url == null) {
             url = this.getClass().getResource(configurationResourceName);
         }
-        if (LOG.isLoggable(Level.FINE)) {
-            LOG.log(Level.FINE, "Creating EhCacheProvider from a specified resource: "
-                    + configurationResourceName + " Resolved to URL: " + url);
-        }
+        LOG.debug("Creating EhCacheProvider from a specified resource: {}" +
+                " Resolved to URL: {}", configurationResourceName , url);
         if (url == null) {
-            if (LOG.isLoggable(Level.WARNING)) {
-                LOG.log(Level.WARNING, "A configurationResourceName was set to " + configurationResourceName +
-                        " but the resource could not be loaded from the classpath." +
-                        "Ehcache will configure itself using defaults.");
-            }
+            LOG.warn("A configurationResourceName was set to {} but the resource" +
+                    " could not be loaded from the classpath. Ehcache will configure" +
+                    " itself using defaults.", configurationResourceName);
         }
         return url;
     }
Index: src/main/java/net/sf/ehcache/hibernate/EhCache.java
===================================================================
--- src/main/java/net/sf/ehcache/hibernate/EhCache.java	(revision 1022)
+++ src/main/java/net/sf/ehcache/hibernate/EhCache.java	(working copy)
@@ -16,16 +16,17 @@
 package net.sf.ehcache.hibernate;
 
 
+import java.util.HashMap;
+import java.util.Iterator;
+import java.util.Map;
+
 import net.sf.ehcache.Element;
+
 import org.hibernate.cache.Cache;
 import org.hibernate.cache.CacheException;
 import org.hibernate.cache.Timestamper;
-
-import java.util.HashMap;
-import java.util.Iterator;
-import java.util.Map;
-import java.util.logging.Level;
-import java.util.logging.Logger;
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
 
 /**
  * EHCache plugin for Hibernate.
@@ -44,7 +45,7 @@
  */
 public final class EhCache implements Cache {
 
-    private static final Logger LOG = Logger.getLogger(EhCache.class.getName());
+    private static final Logger LOG = LoggerFactory.getLogger(EhCache.class);
 
     private static final int SIXTY_THOUSAND_MS = 60000;
 
@@ -73,17 +74,13 @@
      */
     public final Object get(Object key) throws CacheException {
         try {
-            if (LOG.isLoggable(Level.FINE)) {
-                LOG.log(Level.FINE, "key: " + key);
-            }
+            LOG.debug("key: {}", key);
             if (key == null) {
                 return null;
             } else {
                 Element element = cache.get(key);
                 if (element == null) {
-                    if (LOG.isLoggable(Level.FINE)) {
-                        LOG.log(Level.FINE, "Element for " + key + " is null");
-                    }
+                    LOG.debug("Element for {} is null", key);
                     return null;
                 } else {
                     return element.getObjectValue();
@@ -125,9 +122,7 @@
      * @throws CacheException if the {@link net.sf.ehcache.CacheManager} is shutdown or another {@link Exception} occurs.
      */
     public final void put(Object key, Object value) throws CacheException {
-        if (LOG.isLoggable(Level.FINE)) {
-            LOG.log(Level.FINE, "key: " + key + " value: " + value);
-        }
+        LOG.debug("key: {} value: {}", key, value);
         
         try {
             Element element = new Element(key, value);
@@ -183,9 +178,7 @@
         } catch (IllegalStateException e) {
             //When Spring and Hibernate are both involved this will happen in normal shutdown operation.
             //Do not throw an exception, simply log this one.
-            if (LOG.isLoggable(Level.FINE)) {
-                LOG.log(Level.FINE, "This can happen if multiple frameworks both try to shutdown ehcache", e);
-            }
+            LOG.debug("This can happen if multiple frameworks both try to shutdown ehcache", e);
         } catch (net.sf.ehcache.CacheException e) {
             throw new CacheException(e);
         }
Index: src/main/java/net/sf/ehcache/hibernate/EhCacheProvider.java
===================================================================
--- src/main/java/net/sf/ehcache/hibernate/EhCacheProvider.java	(revision 1022)
+++ src/main/java/net/sf/ehcache/hibernate/EhCacheProvider.java	(working copy)
@@ -15,17 +15,18 @@
  */
 package net.sf.ehcache.hibernate;
 
+import java.net.URL;
+import java.util.Properties;
+
 import net.sf.ehcache.CacheManager;
 import net.sf.ehcache.util.ClassLoaderUtil;
+
 import org.hibernate.cache.Cache;
 import org.hibernate.cache.CacheException;
 import org.hibernate.cache.CacheProvider;
 import org.hibernate.cache.Timestamper;
-
-import java.net.URL;
-import java.util.Properties;
-import java.util.logging.Level;
-import java.util.logging.Logger;
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
 
 /**
  * Cache Provider plugin for Hibernate 3.2 and ehcache-1.2. New in this provider are ehcache support for multiple
@@ -63,7 +64,7 @@
      */
     public static final String NET_SF_EHCACHE_CONFIGURATION_RESOURCE_NAME = "net.sf.ehcache.configurationResourceName";
 
-    private static final Logger LOG = Logger.getLogger(EhCacheProvider.class.getName());
+    private static final Logger LOG = LoggerFactory.getLogger(EhCacheProvider.class);
 
     private CacheManager manager;
 
@@ -86,10 +87,10 @@
         try {
             net.sf.ehcache.Ehcache cache = manager.getEhcache(name);
             if (cache == null) {
-                LOG.log(Level.WARNING, "Could not find a specific ehcache configuration for cache named [" + name + "]; using defaults.");
+                LOG.warn("Could not find a specific ehcache configuration for cache named [{}]; using defaults.", name);
                 manager.addCache(name);
                 cache = manager.getEhcache(name);
-                EhCacheProvider.LOG.log(Level.FINE, "started EHCache region: " + name);
+                EhCacheProvider.LOG.debug("started EHCache region: {}", name);
             }
             return new net.sf.ehcache.hibernate.EhCache(cache);
         } catch (net.sf.ehcache.CacheException e) {
@@ -113,7 +114,7 @@
      */
     public final void start(Properties properties) throws CacheException {
         if (manager != null) {
-            LOG.log(Level.WARNING, "Attempt to restart an already started EhCacheProvider. Use sessionFactory.close() " +
+            LOG.warn("Attempt to restart an already started EhCacheProvider. Use sessionFactory.close() " +
                     " between repeated calls to buildSessionFactory. Using previously created EhCacheProvider." +
                     " If this behaviour is required, consider using SingletonEhCacheProvider.");
             return;
@@ -151,16 +152,12 @@
         if (url == null) {
             url = this.getClass().getResource(configurationResourceName);
         }
-        if (LOG.isLoggable(Level.FINE)) {
-            LOG.log(Level.FINE, "Creating EhCacheProvider from a specified resource: "
-                    + configurationResourceName + " Resolved to URL: " + url);
-        }
+        LOG.debug("Creating EhCacheProvider from a specified resource: {} Resolved to URL: {}",
+                configurationResourceName, url);
         if (url == null) {
-            if (LOG.isLoggable(Level.WARNING)) {
-                LOG.log(Level.WARNING, "A configurationResourceName was set to " + configurationResourceName +
-                        " but the resource could not be loaded from the classpath." +
-                        "Ehcache will configure itself using defaults.");
-            }
+            LOG.warn("A configurationResourceName was set to {} but the resource could not be" +
+                    " loaded from the classpath. Ehcache will configure itself using defaults.",
+                    configurationResourceName);
         }
         return url;
     }
Index: src/main/java/net/sf/ehcache/management/ManagementService.java
===================================================================
--- src/main/java/net/sf/ehcache/management/ManagementService.java	(revision 1022)
+++ src/main/java/net/sf/ehcache/management/ManagementService.java	(working copy)
@@ -16,9 +16,9 @@
 
 package net.sf.ehcache.management;
 
-import net.sf.ehcache.CacheException;
-import net.sf.ehcache.Status;
-import net.sf.ehcache.event.CacheManagerEventListener;
+import java.util.Iterator;
+import java.util.List;
+import java.util.Set;
 
 import javax.management.InstanceAlreadyExistsException;
 import javax.management.MBeanRegistrationException;
@@ -26,11 +26,13 @@
 import javax.management.MalformedObjectNameException;
 import javax.management.NotCompliantMBeanException;
 import javax.management.ObjectName;
-import java.util.Iterator;
-import java.util.List;
-import java.util.Set;
-import java.util.logging.Level;
-import java.util.logging.Logger;
+
+import net.sf.ehcache.CacheException;
+import net.sf.ehcache.Status;
+import net.sf.ehcache.event.CacheManagerEventListener;
+
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
 
 /**
  * Ehcache CacheManagers and Caches have lifecycles. Often normal use of a CacheManager
@@ -56,7 +58,7 @@
  */
 public class ManagementService implements CacheManagerEventListener {
 
-    private static final Logger LOG = Logger.getLogger(ManagementService.class.getName());
+    private static final Logger LOG = LoggerFactory.getLogger(ManagementService.class.getName());
 
     private MBeanServer mBeanServer;
     private net.sf.ehcache.CacheManager backingCacheManager;
@@ -224,14 +226,14 @@
                     + backingCacheManager.toString()), null));
         } catch (MalformedObjectNameException e) {
             //this should not happen
-            LOG.log(Level.SEVERE, "Error querying MBeanServer. Error was " + e.getMessage(), e);
+            LOG.error("Error querying MBeanServer. Error was " + e.getMessage(), e);
         }
         for (Iterator iterator = registeredObjectNames.iterator(); iterator.hasNext();) {
             ObjectName objectName = (ObjectName) iterator.next();
             try {
                 mBeanServer.unregisterMBean(objectName);
             } catch (Exception e) {
-                LOG.log(Level.SEVERE, "Error unregistering object instance " + objectName
+                LOG.error("Error unregistering object instance " + objectName
                         + " . Error was " + e.getMessage(), e);
             }
         }
@@ -268,7 +270,7 @@
                 registerCacheStatisticsIfRequired(cache);
                 registerCacheConfigurationIfRequired(cache);
             } catch (Exception e) {
-                LOG.log(Level.SEVERE, "Error registering cache for management for " + cache.getObjectName()
+                LOG.error("Error registering cache for management for " + cache.getObjectName()
                         + " . Error was " + e.getMessage(), e);
             }
         }
@@ -303,7 +305,7 @@
                 mBeanServer.unregisterMBean(objectName);
             }
         } catch (Exception e) {
-            LOG.log(Level.SEVERE, "Error unregistering cache for management for " + objectName
+            LOG.error("Error unregistering cache for management for " + objectName
                     + " . Error was " + e.getMessage(), e);
         }
 
Index: src/main/java/net/sf/ehcache/util/PropertyUtil.java
===================================================================
--- src/main/java/net/sf/ehcache/util/PropertyUtil.java	(revision 1022)
+++ src/main/java/net/sf/ehcache/util/PropertyUtil.java	(working copy)
@@ -21,8 +21,9 @@
 import java.io.IOException;
 import java.util.Map;
 import java.util.Properties;
-import java.util.logging.Level;
-import java.util.logging.Logger;
+
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
 
 /**
  * Property utilities.
@@ -31,7 +32,7 @@
  */
 public final class PropertyUtil {
 
-    private static final Logger LOG = Logger.getLogger(PropertyUtil.class.getName());
+    private static final Logger LOG = LoggerFactory.getLogger(PropertyUtil.class);
 
     private static final String DEFAULT_PROPERTY_SEPARATOR = ",";
 
@@ -53,10 +54,7 @@
         if (foundValue != null) {
             foundValue = foundValue.trim();
         }
-        if (LOG.isLoggable(Level.FINE)) {
-            LOG.log(Level.FINE, new StringBuffer().append("Value found for ").append(name).append(": ")
-                    .append(foundValue).toString());
-        }
+        LOG.debug("Value found for {}:{}", name, foundValue);
         return foundValue;
     }
 
@@ -71,10 +69,7 @@
         if (foundValue != null) {
             foundValue = foundValue.trim();
         }
-        if (LOG.isLoggable(Level.FINE)) {
-            LOG.log(Level.FINE, new StringBuffer().append("Value found for ").append(name).append(": ")
-                    .append(foundValue).toString());
-        }
+        LOG.debug("Value found for {}:{}", name, foundValue);
         return foundValue;
     }
 
@@ -86,7 +81,7 @@
     public static Properties parseProperties(String propertiesString, String propertySeparator) {
         String propertySeparatorLocal = propertySeparator;
         if (propertiesString == null) {
-            LOG.log(Level.FINE, "propertiesString is null.");
+            LOG.debug("propertiesString is null.");
             return null;
         }
         if (propertySeparator == null) {
@@ -98,7 +93,7 @@
         try {
             properties.load(new ByteArrayInputStream(propertyLines.getBytes()));
         } catch (IOException e) {
-            LOG.log(Level.SEVERE, "Cannot load properties from " + propertiesString);
+            LOG.error("Cannot load properties from {}", propertiesString);
         }
         return properties;
     }
Index: src/main/java/net/sf/ehcache/constructs/blocking/SelfPopulatingCache.java
===================================================================
--- src/main/java/net/sf/ehcache/constructs/blocking/SelfPopulatingCache.java	(revision 1022)
+++ src/main/java/net/sf/ehcache/constructs/blocking/SelfPopulatingCache.java	(working copy)
@@ -16,14 +16,15 @@
 
 package net.sf.ehcache.constructs.blocking;
 
+import java.util.Collection;
+import java.util.Iterator;
+
 import net.sf.ehcache.CacheException;
 import net.sf.ehcache.Ehcache;
 import net.sf.ehcache.Element;
 
-import java.util.Collection;
-import java.util.Iterator;
-import java.util.logging.Level;
-import java.util.logging.Logger;
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
 
 
 /**
@@ -43,7 +44,7 @@
  */
 public class SelfPopulatingCache extends BlockingCache {
 
-    private static final Logger LOG = Logger.getLogger(SelfPopulatingCache.class.getName());
+    private static final Logger LOG = LoggerFactory.getLogger(SelfPopulatingCache.class);
 
     /**
      * A factory for creating entries, given a key
@@ -135,8 +136,8 @@
         // Refetch the entries
         final Collection keys = getKeys();
 
-        if (LOG.isLoggable(Level.FINE)) {
-            LOG.fine(getName() + ": found " + keys.size() + " keys to refresh");
+        if (LOG.isDebugEnabled()) {
+            LOG.debug("{}: found {} keys to refresh", getName(), keys.size());
         }
 
         // perform the refresh
@@ -148,9 +149,7 @@
                 final Element element = backingCache.getQuiet(key);
 
                 if (element == null) {
-                    if (LOG.isLoggable(Level.FINE)) {
-                        LOG.fine(getName() + ": entry with key " + key + " has been removed - skipping it");
-                    }
+                    LOG.debug("{}: entry with key {} has been removed - skipping it", getName(), key);
 
                     continue;
                 }
@@ -160,7 +159,7 @@
                 // Collect the exception and keep going.
                 // Throw the exception once all the entries have been refreshed
                 // If the refresh fails, keep the old element. It will simply become staler.
-                LOG.log(Level.WARNING, getName() + "Could not refresh element " + key, e);
+                LOG.warn(getName() + "Could not refresh element " + key, e);
                 exception = e;
             }
         }
@@ -252,9 +251,7 @@
             throws Exception {
         Object key = element.getObjectKey();
 
-        if (LOG.isLoggable(Level.FINE)) {
-            LOG.fine(getName() + ": refreshing element with key " + key);
-        }
+        LOG.debug("{}: refreshing element with key {}", getName(), key);
 
         final Element replacementElement;
 
Index: src/main/java/net/sf/ehcache/constructs/blocking/UpdatingSelfPopulatingCache.java
===================================================================
--- src/main/java/net/sf/ehcache/constructs/blocking/UpdatingSelfPopulatingCache.java	(revision 1022)
+++ src/main/java/net/sf/ehcache/constructs/blocking/UpdatingSelfPopulatingCache.java	(working copy)
@@ -22,8 +22,9 @@
 import net.sf.ehcache.Element;
 import net.sf.ehcache.concurrent.Mutex;
 
-import java.util.logging.Level;
-import java.util.logging.Logger;
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
+
 
 
 /**
@@ -41,7 +42,7 @@
  */
 public class UpdatingSelfPopulatingCache extends SelfPopulatingCache {
 
-    private static final Logger LOG = Logger.getLogger(UpdatingSelfPopulatingCache.class.getName());
+    private static final Logger LOG = LoggerFactory.getLogger(UpdatingSelfPopulatingCache.class);
 
     /**
      * Creates a SelfPopulatingCache.
@@ -101,8 +102,8 @@
             final Element element = backingCache.getQuiet(key);
 
             if (element == null) {
-                if (LOG.isLoggable(Level.FINE)) {
-                    LOG.fine(getName() + ": entry with key " + key + " has been removed - skipping it");
+                if (LOG.isDebugEnabled()) {
+                    LOG.debug("{}: entry with key {} has been removed - skipping it", getName(), key);
                 }
                 return;
             }
@@ -112,7 +113,7 @@
             // Collect the exception and keep going.
             // Throw the exception once all the entries have been refreshed
             // If the refresh fails, keep the old element. It will simply become staler.
-            LOG.log(Level.WARNING, getName() + "Could not refresh element " + key, e);
+            LOG.warn(getName() + "Could not refresh element " + key, e);
         }
     }
 
